Page MenuHomePhabricator

Avoid unnecessary calls to updateIfHeightChanged on page load when highlighting is in query params
Closed, ResolvedPublic

Description

This only occurs when highlighting is enabled in the query parameters on page load. If you load a page like wiki/Special:Watchlist?limit=500&days=30&enhanced=1&watchlistactivity__unseen_color=c1&watchlistactivity__seen_color=c2&urlversion=2, you'll see that FilterTagMultiselectWidget calls the parent onChangeTags method, and then we end up at updateIfHeightChanged where a resize event occurs.

It doesn't seem like we need to call the parent onChangeTags while the app is still initializing.

Event Timeline

kostajh created this task.Jun 28 2018, 2:22 PM
kostajh triaged this task as Normal priority.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 28 2018, 2:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 442862 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] RC Filters: Check if app is initialized before calling change tags

https://gerrit.wikimedia.org/r/442862

Change 442862 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: Check if app is initialized before calling change tags

https://gerrit.wikimedia.org/r/442862

Change 442997 had a related patch set uploaded (by Catrope; owner: Kosta Harlan):
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Check if app is initialized before calling change tags

https://gerrit.wikimedia.org/r/442997

Change 442997 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Check if app is initialized before calling change tags

https://gerrit.wikimedia.org/r/442997

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-06-28T23:54:06Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.10/resources/src/mediawiki.rcfilters/: Watchlist perf fixes (T198359, T198399) (duration: 00m 52s)

Change 443211 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] RC Filters: Prevent updateIfHeightChanged on tag multiselect widget

https://gerrit.wikimedia.org/r/443211

Change 443211 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: Prevent updateIfHeightChanged on tag multiselect widget

https://gerrit.wikimedia.org/r/443211

Change 443517 had a related patch set uploaded (by Catrope; owner: Kosta Harlan):
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Prevent updateIfHeightChanged on tag multiselect widget

https://gerrit.wikimedia.org/r/443517

Change 443517 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.10] RC Filters: Prevent updateIfHeightChanged on tag multiselect widget

https://gerrit.wikimedia.org/r/443517

Mentioned in SAL (#wikimedia-operations) [2018-07-02T23:33:04Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.10/resources/src/: Watchlist performance fixes (T198359, T198399) (duration: 00m 51s)

Catrope closed this task as Resolved.Jul 2 2018, 11:55 PM